package com.vcarecity.cvs.service.impl;

import com.google.inject.Inject;
import com.google.inject.assistedinject.Assisted;
import com.vcarecity.cvs.service.ResultHandlerService;
import com.zaxxer.hikari.HikariDataSource;
import lombok.extern.slf4j.Slf4j;

import java.sql.Connection;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @author Kerry on 19/11/21
 */


@Slf4j
public class MySQLResultHandlerServiceImpl implements ResultHandlerService {

    private final HikariDataSource dataSource;
    private final String sql;

    @Inject
    public MySQLResultHandlerServiceImpl(HikariDataSource dataSource, @Assisted String sql) {
        this.dataSource = dataSource;
        this.sql = sql;
    }


    @Override
    public <T> void resultHandler(List<T> dataList, Class<T> cls) throws Exception {
        logger.debug("start write to mysql size = {}, on = {}", dataList.size(), LocalDateTime.now());
        long startTime = System.currentTimeMillis();
        final Connection connection = dataSource.getConnection();


        connection.close();

        logger.debug("write to mysql usage time {} /ms", System.currentTimeMillis() - startTime);
    }
}
